# Class HttpNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.meterware.httpunit.HttpException
com.meterware.httpunit.HttpNotFoundException

All Implemented Interfaces:
  `Serializable`

public class HttpNotFoundException extends HttpException
This exception is thrown when the desired URL is not found.

Author:
  Seth Ladd, Russell Gold
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HttpNotFoundException(String responseMessage, URL baseURL)`
construct a HttpNotFoundException (404 Error)
`HttpNotFoundException(URL url, Throwable t)`
construct a HttpNotFoundException (404 Error)

## Method Summary

### Methods inherited from class HttpException

`getCause, getMessage, getResponseCode, getResponseMessage`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HttpNotFoundException

public HttpNotFoundException(String responseMessage, URL baseURL)
construct a HttpNotFoundException (404 Error)

Parameters:
  `responseMessage` -
  `baseURL` -

### HttpNotFoundException

public HttpNotFoundException(URL url, Throwable t)
construct a HttpNotFoundException (404 Error)

Parameters:
  `url` -
  `t` -